using UnityEngine;
using System;
using System.Collections.Generic;

namespace mgaia.Utils
{
    /// <summary>
    /// Extensões para facilitar o trabalho com o tipo de dados Bounds
    /// </summary>
    /// <owner>Victor</owner>
    public static class BoundsExtensions
    {
        /// <summary>
        /// Multiplica um bounds por uma escala
        /// </summary>
        public static Bounds Multiply(this Bounds bounds, Vector3 scale)
        {
            Vector3 center = new Vector3(bounds.center.x * scale.x, bounds.center.y * scale.y, bounds.center.z * scale.z);
            Vector3 size = new Vector3(bounds.size.x * scale.x, bounds.size.y * scale.y, bounds.size.z * scale.z);

            return new Bounds(center, size);
        }
    }
}